<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org">
<head>
    <th:block th:include="include :: header('支付二维码')"/>
    <th:block th:include="include :: layout-latest-css"/>
    <style>
        #payQrcode {
            margin-left: 17px;
        }
    </style>
</head>
<body class="gray-bg">
<div id="payQrcode"></div>

<th:block th:include="include :: footer"/>
<th:block th:include="include :: layout-latest-js"/>
<script th:src="@{/js/jquery.qrcode.min.js}"></script>
<script th:inline="javascript">
    var orderId = '[[${orderId}]]';
    var prefix = ctx + "pay/ali";

    $(function(){
        $.ajax({
            type: "POST",
            dataType:"json",
            url: prefix + "/addMasterQr",
            data: orderId,
            contentType: "application/json",
            success: function (result) {
                if (result.code == web_status.SUCCESS) {
                    $('#payQrcode').qrcode(result.data.expend.qrcode_url);
                } else {
                    $.modal.msgError("数据加载错误，请重试！")
                }
            }
        })
    });
</script>
</body>
</html>
